Bullet Collision Detection & Physics Library: GIM_CONTACT Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GIM_CONTACT Class Reference

The GIM_CONTACT is an internal GIMPACT structure, similar to btManifoldPoint. More...

`#include <btContactProcessing.h>`

Collaboration diagram for GIM_CONTACT:
[legend]

## Public Member Functions
| GIM_CONTACT ()
| GIM_CONTACT (const GIM_CONTACT &contact)
| GIM_CONTACT (const btVector3 &point, const btVector3 &normal, btScalar depth, int feature1, int feature2)
unsigned int | calc_key_contact () const
| Calcs key for coord classification. More...
void | interpolate_normals (btVector3 *normals, int normal_count)
| GIM_CONTACT ()
| GIM_CONTACT (const GIM_CONTACT &contact)
| GIM_CONTACT (const btVector3 &point, const btVector3 &normal, GREAL depth, GUINT feature1, GUINT feature2)
GUINT | calc_key_contact () const
| Calcs key for coord classification. More...
void | interpolate_normals (btVector3 *normals, GUINT normal_count)

## Public Attributes
btVector3 | m_point
btVector3 | m_normal
btScalar | m_depth
btScalar | m_distance
int | m_feature1
int | m_feature2
GREAL | m_depth
GREAL | m_distance
GUINT | m_feature1
GUINT | m_feature2

## Detailed Description

The GIM_CONTACT is an internal GIMPACT structure, similar to btManifoldPoint.

Structure for collision results Functions for managing and sorting contacts resulting from a collision query.

Contact lists must be create by calling GIM_CREATE_CONTACT_LIST After querys, contact lists must be destroy by calling GIM_DYNARRAY_DESTROY Contacts can be merge for avoid duplicate results by calling gim_merge_contacts

Definition at line 42 of file btContactProcessing.h.

## Constructor & Destructor Documentation

GIM_CONTACT::GIM_CONTACT | ( |  | ) |
| inline

Definition at line 52 of file btContactProcessing.h.

GIM_CONTACT::GIM_CONTACT | ( | const GIM_CONTACT & | contact | ) |
| inline

Definition at line 56 of file btContactProcessing.h.

GIM_CONTACT::GIM_CONTACT | ( | const btVector3 & | point,
|  | const btVector3 & | normal,
|  | btScalar | depth,
|  | int | feature1,
|  | int | feature2
| ) |  |
| inline

Definition at line 65 of file btContactProcessing.h.

GIM_CONTACT::GIM_CONTACT | ( |  | ) |
| inline

Definition at line 61 of file gim_contact.h.

GIM_CONTACT::GIM_CONTACT | ( | const GIM_CONTACT & | contact | ) |
| inline

Definition at line 65 of file gim_contact.h.

GIM_CONTACT::GIM_CONTACT | ( | const btVector3 & | point,
|  | const btVector3 & | normal,
|  | GREAL | depth,
|  | GUINT | feature1,
|  | GUINT | feature2
| ) |  |
| inline

Definition at line 79 of file gim_contact.h.

## Member Function Documentation

unsigned int GIM_CONTACT::calc_key_contact | ( |  | ) | const
| inline

Calcs key for coord classification.

Definition at line 76 of file btContactProcessing.h.

GUINT GIM_CONTACT::calc_key_contact | ( |  | ) | const
| inline

Calcs key for coord classification.

Definition at line 90 of file gim_contact.h.

void GIM_CONTACT::interpolate_normals | ( | btVector3 * | normals,
|  | int | normal_count
| ) |  |
| inline

Definition at line 92 of file btContactProcessing.h.

void GIM_CONTACT::interpolate_normals | ( | btVector3 * | normals,
|  | GUINT | normal_count
| ) |  |
| inline

Definition at line 106 of file gim_contact.h.

## Member Data Documentation

btScalar GIM_CONTACT::m_depth

Definition at line 47 of file btContactProcessing.h.

GREAL GIM_CONTACT::m_depth

Definition at line 56 of file gim_contact.h.

btScalar GIM_CONTACT::m_distance

Definition at line 48 of file btContactProcessing.h.

GREAL GIM_CONTACT::m_distance

Definition at line 57 of file gim_contact.h.

int GIM_CONTACT::m_feature1

Definition at line 49 of file btContactProcessing.h.

GUINT GIM_CONTACT::m_feature1

Definition at line 58 of file gim_contact.h.

int GIM_CONTACT::m_feature2

Definition at line 50 of file btContactProcessing.h.

GUINT GIM_CONTACT::m_feature2

Definition at line 59 of file gim_contact.h.

btVector3 GIM_CONTACT::m_normal

Definition at line 46 of file btContactProcessing.h.

btVector3 GIM_CONTACT::m_point

Definition at line 45 of file btContactProcessing.h.

The documentation for this class was generated from the following files:

- btContactProcessing.h
- gim_contact.h